Subject: [manet] Re: How to identify RREP by Intermediate node

From: aravind rao <[email-masked]>
Date: Tue, 19 Apr 2005 07:10:41 +0100 (BST)

hi,
the AODV implementation in ns-2 takes care of each
case
as given below:

/**************************************************/
// First check if I am the destination ..
 if(rq->rq_dst == index) 
{
/*** Action Taken - Send RREP  ***/
}
// I am not the destination, but I may have a fresh
enough route.

else if (rt && (rt->rt_hops != INFINITY2) && 
	  	(rt->rt_seqno >= rq->rq_dst_seqno) ) 
{ 
/***Action taken- Intermediate node sending RREP***/
}
else
{
/*** Forward the packet ***/
}
/**************************************************/

hope this will answer your query

regards
Aravind Rao
Wireless Networking Lab
M.S. Ramaiah Institute of Technology
India

Send instant messages to your online friends http://uk.messenger.yahoo.com 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet